'use strict';

require('./curry.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
var compose = require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
var __chunk_3 = require('./chunk-40161f88.js');
var __chunk_4 = require('./chunk-acf1cc79.js');
var concat = require('./concat.js');

/**
 * Flattens any strings in the list of `as`.
 *
 * @private
 */
function flattenStrings (as) {
  if (__chunk_4.isArrayOfStrings(as)) {
    return concat(as)
  } else if (__chunk_4.isArray(as)) {
    return as.map(flattenStrings)
  } else {
    return as
  }
}

function concatMap (f, as) {
  const bs = Array.from(as).map(compose(flattenStrings, f));
  const cs = bs.length > 0 ? bs : as;
  return __chunk_3.concatWith(__chunk_4.mempty(cs), bs)
}

module.exports = concatMap;
