'use strict';

require('./chunk-6c48b316.js');
var _fold = require('./_fold.js');
var _getIn = require('./_getIn.js');

/**
 * Returns true if `a` is a function.
 *
 * @private
 */
function isFunction (a) {
  return (a instanceof Function)
}

function groupBy (f, as) {
  const iteratee = a => isFunction(f) ? f(a) : _getIn(f, a);
  return _fold((memo, a) => {
    const key = iteratee(a);
    (memo[key] = memo[key] || []).push(a);
    return memo
  }, {}, as)
}

module.exports = groupBy;
