'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
require('./chunk-acf1cc79.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./head.js');
var _find = require('./_find.js');

/**
 * Finds the first value in a list that satisfies a predicate function.
 *
 * @function
 * @param {Function} p The predicate function.
 * @param {Array|String} as The list.
 * @returns A value in the list of `as` that satisfies the predicate function
 * `p`, or `undefined` if no value was found.
 * @example
 *
 * import { eq, find, gt } from 'fkit'
 *
 * find(gt(1), []) // undefined
 * find(gt(1), [1, 2, 3]) // 2
 *
 * find(eq('o'), '') // undefined
 * find(eq('o'), 'foo') // 'o'
 */
var find = curry(_find);

module.exports = find;
