'use strict';

require('./curry.js');
require('./chunk-6c48b316.js');
var __chunk_4 = require('./chunk-acf1cc79.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');
require('./_prepend.js');
var prepend = require('./prepend.js');

/**
 * Gets all initial segments of a list.
 *
 * @param {Array|String} as The list.
 * @returns {Array} A list that contains all initial segments of the list of
 * `as`.
 * @example
 *
 * import { inits } from 'fkit'
 * inits([1, 2, 3]) // [[], [1], [1, 2], [1, 2, 3]]
 * inits('foo') // ['', 'f', 'fo', 'foo']
 */
function inits (as) {
  return prepend(
    __chunk_4.mempty(as),
    empty(as)
      ? []
      : inits(tail(as)).map(prepend(head(as)))
  )
}

module.exports = inits;
