'use strict';

var curry = require('./curry.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
require('./chunk-acf1cc79.js');
require('./concat.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
var _intersperse = require('./_intersperse.js');

/**
 * Intersperses the elements of a list with separator.
 *
 * @function
 * @param {String} s The separator value.
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains the elements in the list of
 * `as` interspersed with the separator `s`.
 * @example
 *
 * import { intersperse } from 'fkit'
 * intersperse(4, [1, 2, 3]) // [1, 4, 2, 4, 3]
 * intersperse('-', 'foo') // 'f-o-o'
 */
var intersperse = curry(_intersperse);

module.exports = intersperse;
