'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
require('./chunk-acf1cc79.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./not.js');
var _partition = require('./_partition.js');

/**
 * Partitions a list using a predicate function.
 *
 * @function
 * @param {Function} p The predicate function.
 * @param {Array|String} as The list.
 * @returns {Array} A list that contains the elements in the list of `as` split
 * into a pair of lists: the elements that satisfy the predicate function `p`
 * and the elements that do not satisfy the predicate function `p`.
 * @example
 *
 * import { eq, gt, partition } from 'fkit'
 * partition(gt(1), [1, 2, 3]) // [[2, 3], [1]]
 * partition(eq('o'), 'foo') // ['oo', 'f']
 */
var partition = curry(_partition);

module.exports = partition;
