'use strict';

var curry = require('./curry.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./copy.js');
var _set = require('./_set.js');

/**
 * Sets a property of an object.
 *
 * @function
 * @param {String} k The key.
 * @param v The value to set.
 * @param {Object} o The object.
 * @returns {Object} A copy of the object `o` with the property `k` set to the
 * value `v`.
 * @example
 *
 * import { set } from 'fkit'
 * const person = { name: 'Jane', age: 20, city: 'Melbourne' }
 * set('name', 'Steve', person) // { name: 'Steve', age: 20, city: 'Melbourne' }
 */
var set = curry(_set);

module.exports = set;
