'use strict';

var curry = require('./curry.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./copy.js');
require('./_get.js');
require('./_set.js');
var _update = require('./_update.js');

/**
 * Updates a property of an object with a function.
 *
 * @function
 * @param {String} k The name of the property.
 * @param {Function} f The function.
 * @param {Object} o The object.
 * @returns {Object} A copy of the object `o` with the property `k` updated
 * with the function `f`.
 * @example
 *
 * import { inc, update } from 'fkit'
 * const person = { name: 'Jane', age: 20, city: 'Melbourne' }
 * update('age', inc, person) // { name: 'Jane', age: 21, city: 'Melbourne' }
 */
var update = curry(_update);

module.exports = update;
